global_vars:
  # --- Core Ansible & Directory Settings ---
  ansible_user: "alex_p"
  deploy_group: "ytdl"
  airflow_master_dir: "/srv/airflow_master"
  airflow_worker_dir: "/srv/airflow_dl_worker"

  # --- Docker & Network Settings ---
  docker_network_name: "airflow_proxynet"

  # --- Shadowsocks Proxy Configuration ---
  shadowsocks_image: "ghcr.io/shadowsocks/sslocal-rust:v1.22.0"
  shadowsocks_cipher_method: "aes-256-gcm"
  shadowsocks_local_address: "0.0.0.0"
  shadowsocks_timeout: 20
  shadowsocks_fast_open: true
  shadowsocks_mode: "tcp_and_udp"

# List of all available proxies to be deployed on all nodes.
# The key (e.g., 'sslocal-rust-1087') becomes the service name.
shadowsocks_proxies:
  sslocal-rust-1084:
    server: px012
    server_port: 8388
    local_port: 1092
    vault_password_key: vault_ss_password_1


master:
  af-green:
    ip: x.x.x.x
    port: 22
